package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.AlarmRuleItemAddCmd;
import com.zcloud.personnel.positioning.dto.AlarmRuleItemPageQry;
import com.zcloud.personnel.positioning.dto.AlarmRuleItemUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.AlarmRuleItemCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmRuleItemServiceI {
    PageResponse<AlarmRuleItemCO> listPage(AlarmRuleItemPageQry qry);

    List<AlarmRuleItemCO> listAll();

    AlarmRuleItemCO queryById(Long id);

    SingleResponse<AlarmRuleItemCO> add(AlarmRuleItemAddCmd cmd);

    void edit(AlarmRuleItemUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
